# Ipopt::TSymScalingMethod Class Reference

Base class for the method for computing scaling factors for symmetric matrices in triplet format. More...

`#include <IpTSymScalingMethod.hpp>`

Inheritance diagram for Ipopt::TSymScalingMethod:
[legend]

List of all members.

## Public Member Functions
virtual bool | InitializeImpl (const OptionsList &options, const std::string &prefix)=0
| overloaded from AlgorithmStrategyObject
virtual bool | ComputeSymTScalingFactors (Index n, Index nnz, const Index *airn, const Index *ajcn, const double *a, double *scaling_factors)=0
| Method for computing the symmetric scaling factors, given the symmtric matrix in triplet (MA27) format.
Constructor/Destructor
| TSymScalingMethod ()
| ~TSymScalingMethod ()
## Private Member Functions
Default Compiler Generated Methods (Hidden to avoid
implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| TSymScalingMethod (const TSymScalingMethod &)
| Copy Constructor.
void | operator= (const TSymScalingMethod &)
| Overloaded Equals Operator.

## Detailed Description

Base class for the method for computing scaling factors for symmetric matrices in triplet format.

Definition at line 23 of file IpTSymScalingMethod.hpp.

## Constructor & Destructor Documentation

Ipopt::TSymScalingMethod::TSymScalingMethod | ( |  | ) | `[inline]`

Definition at line 28 of file IpTSymScalingMethod.hpp.

Ipopt::TSymScalingMethod::~TSymScalingMethod | ( |  | ) | `[inline]`

Definition at line 31 of file IpTSymScalingMethod.hpp.

Ipopt::TSymScalingMethod::TSymScalingMethod | ( | const TSymScalingMethod & |  | ) | `[private]`

Copy Constructor.

## Member Function Documentation

virtual bool Ipopt::TSymScalingMethod::InitializeImpl | ( | const OptionsList & | options,
|  | const std::string & | prefix |
| ) |  |  | `[pure virtual]`

overloaded from AlgorithmStrategyObject

Implements Ipopt::AlgorithmStrategyObject.

Implemented in Ipopt::InexactTSymScalingMethod, Ipopt::Mc19TSymScalingMethod, and Ipopt::SlackBasedTSymScalingMethod.

virtual bool Ipopt::TSymScalingMethod::ComputeSymTScalingFactors | ( | Index | n,
|  | Index | nnz,
|  | const Index * | airn,
|  | const Index * | ajcn,
|  | const double * | a,
|  | double * | scaling_factors |
| ) |  |  | `[pure virtual]`

Method for computing the symmetric scaling factors, given the symmtric matrix in triplet (MA27) format.

void Ipopt::TSymScalingMethod::operator= | ( | const TSymScalingMethod & |  | ) | `[private]`

Overloaded Equals Operator.

Reimplemented from Ipopt::AlgorithmStrategyObject.

Reimplemented in Ipopt::InexactTSymScalingMethod, Ipopt::Mc19TSymScalingMethod, and Ipopt::SlackBasedTSymScalingMethod.

The documentation for this class was generated from the following file:

- src/Algorithm/LinearSolvers/IpTSymScalingMethod.hpp

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Defines